Bug 235393 - NullPointerException at org.netbeans.modules.php.editor.model.impl.VariousUtils.isStaticClassName
NullPointerException at org.netbeans.modules.php.editor.model.impl.VariousUti...
Status: RESOLVED FIXED
Product: php
Classification: Unclassified
Component: Editor
7.4
All All
: P1 (vote)
: 7.4
Assigned To: Ondrej Brejla
issues@php
EXCEPTIONS_REPORT
: 74_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 09:43 UTC by bfanger
Modified: 2013-09-11 13:41 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (9.29 KB, text/plain)
2013-09-02 09:43 UTC, bfanger
Details
stacktrace (9.18 KB, text/plain)
2013-09-03 18:55 UTC, MrJxN
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bfanger 2013-09-02 09:43:45 UTC
Build: NetBeans IDE Dev (Build 201309020001)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.25-b01, Java(TM) SE Runtime Environment, 1.7.0_25-b15
OS: Mac OS X

User Comments:
GUEST: While opening project, this error has occured.

bfanger: Background scanning of projects...




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.php.editor.model.impl.VariousUtils.isStaticClassName(VariousUtils.java:1639)
   at org.netbeans.modules.php.editor.model.impl.ModelVisitor.visit(ModelVisitor.java:837)
   at org.netbeans.modules.php.editor.parser.astnodes.Assignment.accept(Assignment.java:123)
   at org.netbeans.modules.php.editor.parser.astnodes.visitors.DefaultVisitor.scan(DefaultVisitor.java:144)
   at org.netbeans.modules.php.editor.model.impl.ModelVisitor.scan(ModelVisitor.java:196)
   at org.netbeans.modules.php.editor.parser.astnodes.visitors.DefaultVisitor.visit(DefaultVisitor.java:280)
Comment 1 bfanger 2013-09-02 09:43:47 UTC
Created attachment 139568 [details]
stacktrace
Comment 2 MrJxN 2013-09-03 18:55:35 UTC
Created attachment 139627 [details]
stacktrace

Completed downloading source files for new project
Comment 3 Ondrej Brejla 2013-09-04 08:40:08 UTC
Should be fixed for 7.4.
Comment 4 Ondrej Brejla 2013-09-04 13:02:02 UTC
Reproducible case:

<?php

class ClassName {

    function __construct() {
        $foo = "\Bar\Baz";
        $foo::$bar = ""; // <-- NPE
    }

}

?>
Comment 5 Ondrej Brejla 2013-09-04 13:12:39 UTC
Fixed in web-main #2fda3523a449

Please verify, thanks.
Comment 6 Tomas Mysik 2013-09-09 10:09:10 UTC
The fix seems OK to me.
Comment 7 Vladimir Riha 2013-09-11 11:50:13 UTC
verified in trunk, please continue with integration

Product Version: NetBeans IDE Dev (Build 201309110001)
Java: 1.7.0_40; Java HotSpot(TM) Client VM 24.0-b56
Runtime: Java(TM) SE Runtime Environment 1.7.0_40-b43
System: Linux version 3.2.0-48-generic-pae running on i386; UTF-8; en_US (nb)
Comment 8 Ondrej Brejla 2013-09-11 13:40:44 UTC
Transplanted, thanks.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo